#!/bin/sh

CLASS=$1

#cat html/hierarchy.html \
#| html2text \
#| sed -n '/\[.\]/p' \
#| sed 's/\[.\]/  /g' \
cat hierarchy \
| ./class_hierarchy.pl --class=$CLASS \
| sed 's/ *\(.*\)/\1/' \
> tmp__classes

cat tmp__classes | ./classnames2files.pl | xargs tidy -modify -asxhtml

cat tmp__classes | while read line
    do ./filter_html.pl --class=$line
done
